/* raise.c (rsxnt) -- Copyright (c) 1996-1997 Rainer Schnitker */

#include "rsxnt.h"

int __raise(int signal)
{
    int r = _rsxnt_send_signal (_rsxnt_get_process_ptr(), signal);

#ifdef EMX_SYS_LIB
    _rsxnt_check_signals();
#endif

    return r;
}
